pcl::tracking::ParticleXYZR Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::ParticleXYZR:

## Public Member Functions

| ParticleXYZR ()
| ParticleXYZR (float _x, float _y, float _z)
| ParticleXYZR (float _x, float _y, float _z, float, float _pitch, float)
void | sample (const std::vector< double > &mean, const std::vector< double > &cov)
void | zero ()
Eigen::Affine3f | toEigenMatrix () const
float | operator[] (unsigned int i)

## Static Public Member Functions

static int | stateDimension ()
static pcl::tracking::ParticleXYZR | toState (const Eigen::Affine3f &trans)

## Additional Inherited Members

Public Attributes inherited from pcl::tracking::_ParticleXYZR
| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 185 of file tracking.hpp.

## Constructor & Destructor Documentation

## ParticleXYZR() [1/3]

pcl::tracking::ParticleXYZR::ParticleXYZR | ( |  | ) |

inline

Definition at line 187 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## ParticleXYZR() [2/3]

pcl::tracking::ParticleXYZR::ParticleXYZR | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline

Definition at line 193 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## ParticleXYZR() [3/3]

pcl::tracking::ParticleXYZR::ParticleXYZR | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | ,
|  | float | _pitch,
|  | float |
| ) |  |

inline

Definition at line 200 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## Member Function Documentation

## operator[]()

float pcl::tracking::ParticleXYZR::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 249 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## sample()

void pcl::tracking::ParticleXYZR::sample | ( | const std::vector< double > & | mean,
|  | const std::vector< double > & | cov
| ) |  |

inline

Definition at line 211 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, pcl::tracking::sampleNormal(), and pcl::tracking::_ParticleXYZRPY::yaw.

## stateDimension()

static int pcl::tracking::ParticleXYZR::stateDimension | ( |  | ) |

inline static

Definition at line 208 of file tracking.hpp.

## toEigenMatrix()

Eigen::Affine3f pcl::tracking::ParticleXYZR::toEigenMatrix | ( |  | ) | const

inline

Definition at line 233 of file tracking.hpp.

References pcl::getTransformation(), pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

## toState()

static pcl::tracking::ParticleXYZR pcl::tracking::ParticleXYZR::toState | ( | const Eigen::Affine3f & | trans | ) |

inline static

Definition at line 239 of file tracking.hpp.

References pcl::getTranslationAndEulerAngles().

## zero()

void pcl::tracking::ParticleXYZR::zero | ( |  | ) |

inline

Definition at line 222 of file tracking.hpp.

References pcl::tracking::_ParticleXYZRPY::pitch, pcl::tracking::_ParticleXYZRPY::roll, and pcl::tracking::_ParticleXYZRPY::yaw.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/impl/tracking.hpp